org.eclipse.actf.util.win32.comclutch

## Class RefInt

- java.lang.Object
- - org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl
  - - org.eclipse.actf.util.win32.comclutch.RefContainer
    - - org.eclipse.actf.util.win32.comclutch.RefInt

All Implemented Interfaces:
  IResource

    public class RefInt
    extends RefContainer

See Also:
  `RefContainer`

### Constructor Summary

Constructors
Constructor and Description
`RefInt(ResourceManager rm)`

### Method Summary

Methods
`int` `getValue()`
`void` `setValue(int value)`

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.RefContainer

`getPtr, release`

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl

`addResource, equals, findInResource, getResourceManager, hashCode, isPermanent, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RefInt

    public RefInt(ResourceManager rm)

### Method Detail

#### getValue

    public int getValue()

#### setValue

    public void setValue(int value)